curl --request GET \
--url https://api.spotflow.co/api/v1/subscriptions/{subscription-id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spotflow.co/api/v1/subscriptions/{subscription-id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spotflow.co/api/v1/subscriptions/{subscription-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active",
"startDate": "2023-11-07T05:31:56Z",
"currency": "NGN",
"amount": 5000,
"nextPaymentDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "John Doe",
"email": "jsmith@example.com",
"phoneNumber": "+234 80 7855 4801"
},
"metadata": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"regionName": "Nigeria"
}{
"error": "Missing Parameter",
"message": "missing_parameter",
"status": 400
}{
"message": "Authorization token is required.",
"statusCode": 401,
"code": "AUTH_ERROR",
"requestMarker": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Get Subscriptions Details
This is the unique ID of the subscription or customer you want to fetch.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the subscription whose details are to be retrieved.
Query Parameters
Page number for pagination (default is 0).
Number of items per page for pagination (default is 10).
Response
A JSON array of subscription objects.
Unique identifier for the subscription
Identifier of the customer associated with this subscription
Identifier of the subscribed plan
Current status of the subscription (e.g. active, inactive)
active, inactive Date when the subscription started
The currency in which the subscription is billed,
"NGN"
The amount to be charged for the subscription.
5000
Next scheduled payment date
Date and time the subscription was created
Details about the customer
Show child attributes
Show child attributes
Additional custom data associated with the subscription
Show child attributes
Show child attributes
The geographical region associated with the subscription.
"Nigeria"

